Get User Attribute Values
Stay organized with collections
Save and categorize content based on your preferences.
Version 4.0.26.10
Get user attribute values for a given user.
Returns the values of specified user attributes (or all user attributes) for a certain user.
A value for each user attribute is searched for in the following locations, in this order:
- in the user's account information
- in groups that the user is a member of
- the default value of the user attribute
If more than one group has a value defined for a user attribute, the group with the lowest rank wins.
The response will only include user attributes for which values were found. Use include_unset=true to include
empty records for user attributes with no value.
The value of all hidden user attributes will be blank.
Request
GET
/users/{user_id}/attribute_values
Expand HTTP Path definition...
user_id
string
Id of user
Expand HTTP Query definition...
fields
string
Requested fields.
user_attribute_ids
string[]
all_values
boolean
If true, returns all values in the search path instead of just the first value found. Useful for debugging group precedence.
include_unset
boolean
If true, returns an empty record for each requested attribute that has no user, group, or default value.
Response
200: Value of user attribute.
can
lock
object
Operations the current user is able to perform on this object
name
lock
string
Name of user attribute
label
lock
string
Human-friendly label for user attribute
rank
lock
integer
Precedence for setting value on user (lowest wins)
value
string
Value of attribute for user
user_id
lock
string
Id of User
user_can_edit
lock
boolean
Can the user set this value
value_is_hidden
lock
boolean
If true, the "value" field will be null, because the attribute settings block access to this value
user_attribute_id
lock
string
Id of User Attribute
source
lock
string
How user got this value for this attribute
hidden_value_domain_whitelist
lock
string
If this user attribute is hidden, allowed list of destinations to which it may be sent.
404: Not Found
message
lock
string
Error details
documentation_url
lock
string
Documentation link
429: Too Many Requests
message
lock
string
Error details
documentation_url
lock
string
Documentation link
Examples
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-07-13 UTC.
[null,null,["Last updated 2026-07-13 UTC."],[],[]]